Dropping rc_cur_time on wmf databases
Closed, ResolvedPublic

Description

A schema change was merged to master, which should be done also on wmf production servers. Maybe can be done together with T51191.

Schema Change:

All wikis
tables: recentchanges
changes: Dropping rc_cur_time

gerrit change I48989aceec31019f0b6c98aaeafaf60e975244df

Version: unspecified
Severity: minor

ALTER to run: ALTER TABLE /*$wgDBprefix*/recentchanges DROP COLUMN rc_cur_time;

Progress:

s1

  • eqiad
  • codfw

s2

s3

s4

s5

s6

s7

s8

wikitech

  • eqiad
  • codfw

Details

Reference
bz65448
bzimport raised the priority of this task from to Low.
bzimport set Reference to bz65448.
Krenair removed Springle as the assignee of this task.Oct 4 2015, 2:53 AM
Krenair added a subscriber: Krenair.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 4 2015, 2:53 AM
Marostegui moved this task from Triage to Next on the DBA board.Jul 11 2018, 3:03 PM
Marostegui updated the task description. (Show Details)Aug 7 2018, 8:38 AM
Marostegui moved this task from Next to In progress on the DBA board.Aug 7 2018, 8:43 AM
Marostegui moved this task from Backlog to In progress on the Blocked-on-schema-change board.

Mentioned in SAL (#wikimedia-operations) [2018-08-07T09:57:44Z] <marostegui> Deploy schema change on db2075 - T67448 T114117 T5119

Marostegui updated the task description. (Show Details)Aug 7 2018, 10:05 AM

Change 450934 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] filtered_tables: Remove unused columns

https://gerrit.wikimedia.org/r/450934

Marostegui updated the task description. (Show Details)Aug 7 2018, 10:13 AM

I have removed the column from db2075 (codfw - s5) and I am going to leave it like that for a few days, to make sure nothing writes to that column. If that happens replication will break and we'll know.

Marostegui added a comment.EditedAug 20 2018, 8:36 AM
  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore2001
  • dbstore1002
  • db2094
  • db2089
  • db2084
  • db2075 T67448#4483976
  • db2066
  • db2059
  • db2052
  • db2038
  • db1124
  • db1113
  • db1110
  • db1102
  • db1100
  • db1097
  • db1096
  • db1082
  • db1070

Mentioned in SAL (#wikimedia-operations) [2018-08-22T12:15:37Z] <marostegui> Deploy schema change on db1070 (s5 primary master) - T67448 T114117 T51191

Marostegui updated the task description. (Show Details)Aug 22 2018, 12:53 PM
Marostegui updated the task description. (Show Details)EditedAug 22 2018, 2:21 PM

s6 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1113
  • db1098
  • db1096
  • db1093
  • db1088
  • db1085
  • db1061
Marostegui updated the task description. (Show Details)Aug 23 2018, 4:46 AM
Marostegui updated the task description. (Show Details)Aug 23 2018, 10:55 AM
Marostegui added a comment.EditedAug 23 2018, 11:02 AM

s2 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1122
  • db1105
  • db1103
  • db1095
  • db1090
  • db1076
  • db1074
  • db1066
Marostegui updated the task description. (Show Details)Aug 23 2018, 11:59 AM
Marostegui updated the task description. (Show Details)EditedAug 24 2018, 3:05 PM

s8 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1109
  • db1104
  • db1101
  • db1099
  • db1092
  • db1087
  • db1071
Marostegui updated the task description. (Show Details)Aug 24 2018, 3:08 PM
Marostegui updated the task description. (Show Details)Aug 27 2018, 6:24 AM
Marostegui added a comment.EditedAug 28 2018, 5:05 AM

s4 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1121
  • db1103
  • db1102
  • db1097
  • db1091
  • db1084
  • db1081
  • db1068
Marostegui updated the task description. (Show Details)Aug 28 2018, 5:06 AM
Marostegui updated the task description. (Show Details)Aug 28 2018, 7:43 AM

Mentioned in SAL (#wikimedia-operations) [2018-08-29T05:55:26Z] <marostegui> Deploy schema change on db1073 (labswiki) - T114117 T51191 T67448

Marostegui updated the task description. (Show Details)Aug 29 2018, 5:56 AM
Marostegui added a comment.EditedSep 3 2018, 1:19 PM

s7 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1125
  • db1101
  • db1098
  • db1094
  • db1090
  • db1086
  • db1079
  • db1062
Marostegui updated the task description. (Show Details)Sep 3 2018, 1:27 PM
Marostegui updated the task description. (Show Details)EditedSep 4 2018, 12:40 PM

s3 eqiad progress

  • labsdb1011
  • labsdb1010
  • labsdb1009
  • dbstore1002
  • db1124
  • db1123
  • db1095
  • db1078
  • db1077
  • db1075
Marostegui updated the task description. (Show Details)Sep 4 2018, 12:41 PM

Change 450934 merged by Marostegui:
[operations/puppet@production] filtered_tables: Remove unused columns

https://gerrit.wikimedia.org/r/450934

Marostegui updated the task description. (Show Details)Sep 4 2018, 12:44 PM
Marostegui updated the task description. (Show Details)Sep 5 2018, 7:26 AM
Marostegui updated the task description. (Show Details)Sep 5 2018, 8:21 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-14T07:49:20Z] <marostegui> Deploy schema change on s4 eqiad master (db1068) - T67448 T114117 T51191

Marostegui updated the task description. (Show Details)Sep 17 2018, 5:25 AM

Mentioned in SAL (#wikimedia-operations) [2018-09-17T05:28:00Z] <marostegui> Deploy schema change on s1 eqiad master (db1067) - T67448 T114117 T51191

Marostegui updated the task description. (Show Details)Sep 17 2018, 9:05 AM
Marostegui moved this task from In progress to Next on the DBA board.Oct 24 2018, 9:55 AM
Marostegui changed the task status from Open to Stalled.
Marostegui changed the task status from Stalled to Open.
Marostegui changed the task status from Open to Stalled.
Pppery updated the task description. (Show Details)Oct 26 2018, 9:34 PM
Marostegui changed the task status from Stalled to Open.Nov 12 2018, 9:09 AM

Mentioned in SAL (#wikimedia-operations) [2018-11-12T09:12:41Z] <marostegui> Deploy schema change on db2048 (s1 codfw master) (replication will be stopped) - T67448

Marostegui moved this task from Next to In progress on the DBA board.Nov 12 2018, 9:19 AM
Marostegui closed this task as Resolved.Nov 12 2018, 9:34 AM
Marostegui updated the task description. (Show Details)